- Accelerate loan
Get loans
Get borrower's loans
Create loan
Get loan by ID
Update loan
Activate loan
Cancel loan
Charge-off loan
Close loan
Get loan credit limit
Update loan credit limit
Freeze loan
Get loan lock status
Migrate loan
Refresh loan
Reimburse
Reopen a closed loan
Reverse accelerate
Reverse charge-off
Unfreeze loan
Accelerate loan
The accelerate endpoint will change the status of an active loan to accelerated, and trigger any acceleration-related logic and accounting treatment.
Acceleration is only valid for installment and line of credit loans.
Security
oauth2(Required scopes: loan:accelerate) or bearerAuth or apiKeyHeader
The effective date of the loan acceleration. The date should be the current date in the product timezone. Passing in "today" will also set the field to today's date.
When set to false, the system will NOT send a loanAccelerated notice to the borrower.
Default:true
POST
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X POST \
'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/accelerate' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"effectiveDate": "2019-08-24",
"sendNotice": true,
"caseId": "string"
}'Response
{ "message": "string", "status": 0, "data": { "acceleratedAmount": 0.1 } }